PUT
/petoperationId:
updatePetUpdate an existing pet.
Update an existing pet by Id.
🔒petstore_auth
Request Body required
application/json
| Name | Type | Required | Example / Values |
|---|---|---|---|
| object | |||
| name | string | required | Example: "doggie" |
| photoUrls | array[string] | required | |
| id | integer (int64) | optional | Example: 10 |
| category | object | optional | |
| id | integer (int64) | optional | Example: 1 |
| name | string | optional | Example: "Dogs" |
| tags | array[object] | optional | |
| Item | object | ||
| status | string | optional | availablependingsold |
pet status in the store | |||
Example
{
"id": 10,
"name": "doggie",
"category": {
"id": 1,
"name": "Dogs"
},
"photoUrls": [
"string"
],
"tags": [
{
"id": 0,
"name": "string"
}
],
"status": "available"
}application/xml
| Name | Type | Required | Example / Values |
|---|---|---|---|
| object | |||
| name | string | required | Example: "doggie" |
| photoUrls | array[string] | required | |
| id | integer (int64) | optional | Example: 10 |
| category | object | optional | |
| id | integer (int64) | optional | Example: 1 |
| name | string | optional | Example: "Dogs" |
| tags | array[object] | optional | |
| Item | object | ||
| status | string | optional | availablependingsold |
pet status in the store | |||
Example
{
"id": 10,
"name": "doggie",
"category": {
"id": 1,
"name": "Dogs"
},
"photoUrls": [
"string"
],
"tags": [
{
"id": 0,
"name": "string"
}
],
"status": "available"
}application/x-www-form-urlencoded
| Name | Type | Required | Example / Values |
|---|---|---|---|
| object | |||
| name | string | required | Example: "doggie" |
| photoUrls | array[string] | required | |
| id | integer (int64) | optional | Example: 10 |
| category | object | optional | |
| id | integer (int64) | optional | Example: 1 |
| name | string | optional | Example: "Dogs" |
| tags | array[object] | optional | |
| Item | object | ||
| status | string | optional | availablependingsold |
pet status in the store | |||
Example
{
"id": 10,
"name": "doggie",
"category": {
"id": 1,
"name": "Dogs"
},
"photoUrls": [
"string"
],
"tags": [
{
"id": 0,
"name": "string"
}
],
"status": "available"
}Responses
▼200 OK — Successful operation
▼400 Bad Request — Invalid ID supplied
▼404 Not Found — Pet not found
▼422 Unprocessable Entity — Validation exception
▼default — Unexpected error